Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class TemplateableViewGenerator.Report

    java.lang.Object
      org.jbehave.core.reporters.TemplateableViewGenerator.Report

All Implemented Interfaces:
  Comparable<TemplateableViewGenerator.Report>

Enclosing class:
  TemplateableViewGenerator

    public static class TemplateableViewGenerator.Report

extends Object
implements Comparable<TemplateableViewGenerator.Report>

Constructor Summary
`TemplateableViewGenerator.Report(String path, Map<String,File> filesByFormat)`
`TemplateableViewGenerator.Report(String path, Map<String,File> filesByFormat, Map<String,Integer> stats)`

Method Summary
`Properties` | `asProperties(String format)`
`int` | `compareTo(TemplateableViewGenerator.Report that)`
`Map<String,File>` | `getFilesByFormat()`
`String` | `getName()`
`String` | `getPath()`
`Map<String,Integer>` | `getStats()`
`void` | `nameAs(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateableViewGenerator.Report

    public TemplateableViewGenerator.Report(String path,
                                            Map<String,File> filesByFormat)

### TemplateableViewGenerator.Report

    public TemplateableViewGenerator.Report(String path,
                                            Map<String,File> filesByFormat,
                                            Map<String,Integer> stats)

Method Detail

### getPath

    public String getPath()

### getName

    public String getName()

### nameAs

    public void nameAs(String name)

### getFilesByFormat

    public Map<String,File> getFilesByFormat()

### asProperties

    public Properties asProperties(String format)

### getStats

    public Map<String,Integer> getStats()

### compareTo

    public int compareTo(TemplateableViewGenerator.Report that)

  Specified by:
    `compareTo` in interface `Comparable<TemplateableViewGenerator.Report>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.